Send a test event
curl --request POST \
--url https://api.heyrafiki.space/v1/webhook_endpoints/{webhook_endpoint_id}/test \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heyrafiki.space/v1/webhook_endpoints/{webhook_endpoint_id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.heyrafiki.space/v1/webhook_endpoints/{webhook_endpoint_id}/test"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heyrafiki.space/v1/webhook_endpoints/{webhook_endpoint_id}/test"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "webhook_delivery",
"delivered": true,
"attempts": 1,
"response_status": 349
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"id": "<string>",
"object": "webhook_delivery",
"delivered": true,
"attempts": 1,
"response_status": 349
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}Send a test event
Sends sandbox.ping to an active sandbox endpoint. Requires webhooks:write.
POST
/
webhook_endpoints
/
{webhook_endpoint_id}
/
test
Send a test event
curl --request POST \
--url https://api.heyrafiki.space/v1/webhook_endpoints/{webhook_endpoint_id}/test \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heyrafiki.space/v1/webhook_endpoints/{webhook_endpoint_id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.heyrafiki.space/v1/webhook_endpoints/{webhook_endpoint_id}/test"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heyrafiki.space/v1/webhook_endpoints/{webhook_endpoint_id}/test"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "webhook_delivery",
"delivered": true,
"attempts": 1,
"response_status": 349
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"id": "<string>",
"object": "webhook_delivery",
"delivered": true,
"attempts": 1,
"response_status": 349
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}Authorizations
bearerAuthapiKeyAuth
A sandbox or production secret key.
Path Parameters
A public Webhook endpoint identifier.
Maximum string length:
100Pattern:
^whe_[A-Za-z0-9_-]+$Last modified on August 10, 2026
Was this page helpful?

